<div class="header bg-gradient-danger pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
        <div class="header-body">
            <!-- Card stats -->


        </div>
    </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--7">
    <!-- Table -->
    <div class="row">
        <div class="col">
            <div class="card shadow">
                <div class="card-header bg-transparent">
                    <h3 class="mb-0">Categories</h3>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table *ngIf="categories " class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col">id</th>
                                <th scope="col">Name</th>


                                <th scope="col" [attr.colspan]="maxNumberOfSubCategories">
                                    <div class="media align-items-center">
                                        Sub categories
                                    </div>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr *ngFor="let c of categories ">
                                <th scope="row">
                                    <div class="media align-items-center">
                                        {{c.id}}

                                    </div>
                                </th>
                                <td>
                                    {{c.desig}}
                                </td>
                                <td  *ngFor="let index of subCategoryIndices">
                                    <div *ngIf="c.subCategories[index]">
                                        {{c.subCategories[index].name}}
                                    </div>
                                </td>

                                <!-- <td>    <button class="dropdown-item" (click)="deleteProduct(p._id)" class="btn btn-danger">Delete</button></td> -->
                                <td class="text-right">


                                    <button class="btn btn-secondary btn-lg active" (click)="deleteCategory(c.id)">
                                        <span class="btn-inner--icon"><i class="fa fa-trash"></i></span></button>


                                    <button class="btn btn-secondary btn-lg active"
                                            [routerLink]="['/updatecategory',c.id]"><span class="btn-inner--icon"><i
                                            class="ni ni-settings"></i></span></button>
                                </td>
                            </tr>


                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
